Create a new AI Gateway Dynamic Route Version.
POST/accounts/{account_id}/ai-gateway/gateways/{gateway_id}/routes/{id}/versions
Create a new AI Gateway Dynamic Route Version.
Security
API Token
The preferred authorization scheme for interacting with the Cloudflare API. Create a token.
Example:
API Email + API Key
The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.
Example:
The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.
Example:
Accepted Permissions (at least one required)
Create a new AI Gateway Dynamic Route Version.
curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/ai-gateway/gateways/$GATEWAY_ID/routes/$ID/versions \
-H 'Content-Type: application/json' \
-H "Authorization: Bearer $CLOUDFLARE_API_TOKEN" \
-d '{
"comment": "Route Version Comment",
"elements": [
{
"id": "id",
"outputs": {
"next": {
"elementId": "elementId"
}
},
"type": "start"
}
]
}'{
"result": {
"id": "id",
"created_at": "2019-12-27T18:11:19.117Z",
"elements": [
{
"id": "id",
"outputs": {
"next": {
"elementId": "elementId"
}
},
"type": "start"
}
],
"gateway_id": "gateway_id",
"modified_at": "2019-12-27T18:11:19.117Z",
"name": "name"
},
"success": true
}Returns Examples
{
"result": {
"id": "id",
"created_at": "2019-12-27T18:11:19.117Z",
"elements": [
{
"id": "id",
"outputs": {
"next": {
"elementId": "elementId"
}
},
"type": "start"
}
],
"gateway_id": "gateway_id",
"modified_at": "2019-12-27T18:11:19.117Z",
"name": "name"
},
"success": true
}